### Function

# AppStream Relation check_results_get_compatibility_score

#### Declaration [src]

    gint
    as_relation_check_results_get_compatibility_score (
      GPtrArray* rc_results
    )

#### Description [src]

Calculate a compatibility sore between 0 and 100 based on the given set of AsRelationCheckResults.

A compatibility of 100 means all requirements are satisfied and the component will run perfectly on the confoguration it was tested agains, while 0 means it will not run at all.

#### Parameters

`rc_results`

  Type: An array of `None`

  An array of `AsRelationCheckResult`.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

No description available.